### Function

# Gtk ListBoxCreateWidgetFunc

#### Declaration

    GtkWidget*
    (* GtkListBoxCreateWidgetFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Called for list boxes that are bound to a `GListModel` with `gtk_list_box_bind_model()` for each item that gets added to the model.

If the widget returned is not a `GtkListBoxRow` widget, then the widget will be inserted as the child of an intermediate `GtkListBoxRow`.

#### Parameters

`item`

  Type: `GObject`

  The item from the model for which to create a widget for.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A `GtkWidget` that represents `item`.

The caller of the function takes ownership of the data, and is responsible for freeing it.